# -*- coding: utf-8 -*-
from setuphelpers import *


app_uninstallkey = "Supermium"


def install():
    bin_name = "mini_installer.exe"
    # bin_name = glob.glob("supermium_*/mini_installer.exe")[0]
    # bin_name = glob.glob("supermium_*/setup.exe")[0]
    install_exe_if_needed(
        bin_name,
        silentflags="--system-level --do-not-launch-chrome /norestart /i ",
        key=app_uninstallkey,
        min_version=control.get_software_version(),
        timeout=600,
    )

    # Adding QuietUninstallString
    quiet_uninstall_string = installed_softwares(uninstallkey=app_uninstallkey)[0]["uninstall_string"] + " --force-uninstall"
    register_uninstall(app_uninstallkey, quiet_uninstall_string=quiet_uninstall_string)


def uninstall():
    print("Remove should have failed once.")
